org.apache.bcel.generic

## Class DLOAD

- java.lang.Object
- - org.apache.bcel.generic.Instruction
  - - org.apache.bcel.generic.LocalVariableInstruction
    - - org.apache.bcel.generic.LoadInstruction
      - - org.apache.bcel.generic.DLOAD

- All Implemented Interfaces:
    Cloneable, IndexedInstruction, PushInstruction, StackProducer, TypedInstruction

      public class DLOAD
      extends LoadInstruction

  DLOAD - Load double from local variable

       Stack ... -> ..., result.word1, result.word2

- - ### Field Summary

    - ### Fields inherited from class org.apache.bcel.generic.LocalVariableInstruction

      `n`

    - ### Fields inherited from class org.apache.bcel.generic.Instruction

      `length, opcode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DLOAD(int n)` Load double from local variable

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Visitor v)` Call corresponding visitor method(s).

    - ### Methods inherited from class org.apache.bcel.generic.LocalVariableInstruction

      `dump, getCanonicalTag, getIndex, getType, initFromFile, setIndex, toString`

    - ### Methods inherited from class org.apache.bcel.generic.Instruction

      `consumeStack, copy, equals, getComparator, getLength, getName, getOpcode, hashCode, isValidByte, isValidShort, produceStack, readInstruction, setComparator, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.bcel.generic.StackProducer

      `produceStack`

- - ### Constructor Detail

    - #### DLOAD

          public DLOAD(int n)

      Load double from local variable
      Parameters:
        `n` - index of local variable

  - ### Method Detail

    - #### accept

          public void accept(Visitor v)

      Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.
      Overrides:
        `accept` in class `LoadInstruction`
      Parameters:
        `v` - Visitor object

Copyright © 2004–2022 The Apache Software Foundation. All rights reserved.